Here are instructions for how to install ACL2 on a MacIntosh.  We assume
you are running MCL.  These instructions were developed for MCL 4.0 and
have been used successfully on MCL 4.2.

These instructions mention a certain pathname repeatedly.  The pathname as it
appears here is "xyz".  Before executing these instructions, you should replace
"xyz" by the full pathname of the ACL2 source directory, without the final ":".
For example, "xyz" might be replaced by

  "Macintosh HD:Applications:acl2-sources"

Every occurrence of "xyz" below should be so replaced.

Start up a Listener and execute each of the commands below.  You may want to
select the MCL application and use Command-I to set (in particular, increase)
the memory.  20 megabytes might be a good quantity; we invite user suggestions
for a better number, and more generally for any improvements to this file.

(setq *default-pathname-defaults* #P"xyz:")
(ccl::set-mac-default-directory *default-pathname-defaults*)
(load "xyz:init.lsp")
(in-package "ACL2")
(check-suitability-for-acl2)
(compile-acl2)
; Note: The following initialize-acl2 command will print a message to the
; effect that we cannot finish initialization... and then it will finish
; initialization!  Sorry for the confusion.  We may take care of it in a future
; release.
(initialize-acl2 'include-book *acl2-pass-2-files* t t)
(or (not (probe-file *acl2-status-file*))
    (delete-file *acl2-status-file*))
(with-open-file (str *acl2-status-file* :direction :output)
  (format str "~s" :initialized))

; You may need to evaluate the following form if ccl::%doc-string-file
; is not already defined.  You can perhaps evaluate the MCL form
; (directory "**:mcl help") to obtain all of the MCL Help files on your
; machine and choose one that is appropriate for the MCL you are running.
; Unfortunately, you may need to do this each time you start up a saved image.
; (setq ccl::%doc-string-file "MCL Help")

; Finally, save an ACL2 application:
(cl-user::save-application "saved_acl2")

The commands above build an ACL2 application saved_acl2 on your MacIntosh in
the acl2-sources directory where you saved it ("xyz" above).  When the
application is saved, your Lisp Listener disappears.  Now move saved_acl2 to
the directory with the files pmcl-kernel, pmcl-library and pmcl-compiler,
which is probably the directory with the MCL application that you started up in
order to build ACL2.  Alternatively, you can copy those files to the folder
that contains saved_acl2, or put aliases to them in that folder.

You can now start ACL2 by opening saved_acl2.

Now it is time to re-certify the arithmetic and meta books that come with
ACL2.  First make sure that the books subdirectory of the top-level ACL2
directory has been installed on your machine.

Start up the saved_acl2 image created above and execute:

; The following have been replaced starting with v2-6 with the set-cbd command
; below, which may suffice.
; (setq *default-pathname-defaults* "xyz:books:")
; (ccl::set-mac-default-directory *default-pathname-defaults*)
(lp)
; In the next form, XYZ is the result of replacing ":" by "/" in xyz.
(set-cbd "/XYZ/books")
(ld "certify-numbers.lisp"
    :standard-co "certify.out"
    :proofs-co "certify.proofs")

Then quit from the saved_acl2.
